BSONCallback
Date: 2015-03-03

org.bson

## Interface BSONCallback

- All Known Implementing Classes:
    BasicBSONCallback, EmptyBSONCallback

      public interface BSONCallback

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `arrayDone()`
    `void` | `arrayStart()`
    `void` | `arrayStart(java.lang.String name)`
    `BSONCallback` | `createBSONCallback()`
    `java.lang.Object` | `get()`
    `void` | `gotBinary(java.lang.String name, byte type, byte[] data)`
    `void` | `gotBinaryArray(java.lang.String name, byte[] data)` Deprecated.
    `void` | `gotBoolean(java.lang.String name, boolean v)`
    `void` | `gotCode(java.lang.String name, java.lang.String code)`
    `void` | `gotCodeWScope(java.lang.String name, java.lang.String code, java.lang.Object scope)`
    `void` | `gotDate(java.lang.String name, long millis)`
    `void` | `gotDBRef(java.lang.String name, java.lang.String ns, ObjectId id)`
    `void` | `gotDouble(java.lang.String name, double v)`
    `void` | `gotInt(java.lang.String name, int v)`
    `void` | `gotLong(java.lang.String name, long v)`
    `void` | `gotMaxKey(java.lang.String name)`
    `void` | `gotMinKey(java.lang.String name)`
    `void` | `gotNull(java.lang.String name)`
    `void` | `gotObjectId(java.lang.String name, ObjectId id)`
    `void` | `gotRegex(java.lang.String name, java.lang.String pattern, java.lang.String flags)`
    `void` | `gotString(java.lang.String name, java.lang.String v)`
    `void` | `gotSymbol(java.lang.String name, java.lang.String v)`
    `void` | `gotTimestamp(java.lang.String name, int time, int inc)`
    `void` | `gotUndefined(java.lang.String name)`
    `void` | `gotUUID(java.lang.String name, long part1, long part2)` subtype 3
    `java.lang.Object` | `objectDone()`
    `void` | `objectStart()`
    `void` | `objectStart(boolean array)`
    `void` | `objectStart(java.lang.String name)`
    `void` | `reset()`

- - ### Method Detail

    - #### objectStart

          void objectStart()

    - #### objectStart

          void objectStart(java.lang.String name)

    - #### objectStart

          void objectStart(boolean array)

    - #### objectDone

          java.lang.Object objectDone()

    - #### reset

          void reset()

    - #### get

          java.lang.Object get()

    - #### createBSONCallback

          BSONCallback createBSONCallback()

    - #### arrayStart

          void arrayStart()

    - #### arrayStart

          void arrayStart(java.lang.String name)

    - #### arrayDone

          java.lang.Object arrayDone()

    - #### gotNull

          void gotNull(java.lang.String name)

    - #### gotUndefined

          void gotUndefined(java.lang.String name)

    - #### gotMinKey

          void gotMinKey(java.lang.String name)

    - #### gotMaxKey

          void gotMaxKey(java.lang.String name)

    - #### gotBoolean

          void gotBoolean(java.lang.String name,
                        boolean v)

    - #### gotDouble

          void gotDouble(java.lang.String name,
                       double v)

    - #### gotInt

          void gotInt(java.lang.String name,
                    int v)

    - #### gotLong

          void gotLong(java.lang.String name,
                     long v)

    - #### gotDate

          void gotDate(java.lang.String name,
                     long millis)

    - #### gotString

          void gotString(java.lang.String name,
                       java.lang.String v)

    - #### gotSymbol

          void gotSymbol(java.lang.String name,
                       java.lang.String v)

    - #### gotRegex

          void gotRegex(java.lang.String name,
                      java.lang.String pattern,
                      java.lang.String flags)

    - #### gotTimestamp

          void gotTimestamp(java.lang.String name,
                          int time,
                          int inc)

    - #### gotObjectId

          void gotObjectId(java.lang.String name,
                         ObjectId id)

    - #### gotDBRef

          void gotDBRef(java.lang.String name,
                      java.lang.String ns,
                      ObjectId id)

    - #### gotBinaryArray

          @Deprecated
          void gotBinaryArray(java.lang.String name,
                                       byte[] data)

      Deprecated.

    - #### gotBinary

          void gotBinary(java.lang.String name,
                       byte type,
                       byte[] data)

    - #### gotUUID

          void gotUUID(java.lang.String name,
                     long part1,
                     long part2)

      subtype 3

    - #### gotCode

          void gotCode(java.lang.String name,
                     java.lang.String code)

    - #### gotCodeWScope

          void gotCodeWScope(java.lang.String name,
                           java.lang.String code,
                           java.lang.Object scope)